For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
OverviewAPI Reference
  • API Reference
        • POSTCreate Session
        • GETGet Orders
        • GETGet Buy Again Items
        • POSTBuy Now
        • GETSearch
        • POSTAdd To Cart
        • POSTCheckout
        • GETGet Addresses
Logo
Talk to usGet started
API ReferenceIntegrationsAmazon Business

Checkout

POST
https://api.trykeet.com/v1/amazon-business/checkout
POST
/v1/amazon-business/checkout
$curl -X POST https://api.trykeet.com/v1/amazon-business/checkout \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "addressId": "addressId",
> "creditCardLastFour": "creditCardLastFour"
>}'
1{
2 "status": "ok"
3}

Checkout an order. The end user must have a default address and payment method set.

Was this page helpful?
Previous

Get Addresses

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
addressIdstringRequired
creditCardLastFourstringRequired

Response

This endpoint returns an object.
statusenum
Allowed values:

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error